/*
 * [The "BSD license"]
 *  Copyright (c) 2012 Terence Parr
 *  Copyright (c) 2012 Sam Harwell
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 *  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.antlr.v4.runtime.tree.gui;

public class TimesNewRoman extends BasicFontMetrics {
    {
		maxCharHeight = 877;
        widths[32] = 250; // space
        widths[33] = 333; // exclam
        widths[34] = 408; // quotedbl
        widths[35] = 500; // numbersign
        widths[36] = 500; // dollar
        widths[37] = 833; // percent
        widths[38] = 777; // ampersand
        widths[39] = 180; // quotesingle
        widths[40] = 333; // parenleft
        widths[41] = 333; // parenright
        widths[42] = 500; // asterisk
        widths[43] = 563; // plus
        widths[44] = 250; // comma
        widths[45] = 333; // hyphen
        widths[46] = 250; // period
        widths[47] = 277; // slash
        widths[48] = 500; // zero
        widths[49] = 500; // one
        widths[50] = 500; // two
        widths[51] = 500; // three
        widths[52] = 500; // four
        widths[53] = 500; // five
        widths[54] = 500; // six
        widths[55] = 500; // seven
        widths[56] = 500; // eight
        widths[57] = 500; // nine
        widths[58] = 277; // colon
        widths[59] = 277; // semicolon
        widths[60] = 563; // less
        widths[61] = 563; // equal
        widths[62] = 563; // greater
        widths[63] = 443; // question
        widths[64] = 920; // at
        widths[65] = 722; // A
        widths[66] = 666; // B
        widths[67] = 666; // C
        widths[68] = 722; // D
        widths[69] = 610; // E
        widths[70] = 556; // F
        widths[71] = 722; // G
        widths[72] = 722; // H
        widths[73] = 333; // I
        widths[74] = 389; // J
        widths[75] = 722; // K
        widths[76] = 610; // L
        widths[77] = 889; // M
        widths[78] = 722; // N
        widths[79] = 722; // O
        widths[80] = 556; // P
        widths[81] = 722; // Q
        widths[82] = 666; // R
        widths[83] = 556; // S
        widths[84] = 610; // T
        widths[85] = 722; // U
        widths[86] = 722; // V
        widths[87] = 943; // W
        widths[88] = 722; // X
        widths[89] = 722; // Y
        widths[90] = 610; // Z
        widths[91] = 333; // bracketleft
        widths[92] = 277; // backslash
        widths[93] = 333; // bracketright
        widths[94] = 469; // asciicircum
        widths[95] = 500; // underscore
        widths[96] = 333; // grave
        widths[97] = 443; // a
        widths[98] = 500; // b
        widths[99] = 443; // c
        widths[100] = 500; // d
        widths[101] = 443; // e
        widths[102] = 333; // f
        widths[103] = 500; // g
        widths[104] = 500; // h
        widths[105] = 277; // i
        widths[106] = 277; // j
        widths[107] = 500; // k
        widths[108] = 277; // l
        widths[109] = 777; // m
        widths[110] = 500; // n
        widths[111] = 500; // o
        widths[112] = 500; // p
        widths[113] = 500; // q
        widths[114] = 333; // r
        widths[115] = 389; // s
        widths[116] = 277; // t
        widths[117] = 500; // u
        widths[118] = 500; // v
        widths[119] = 722; // w
        widths[120] = 500; // x
        widths[121] = 500; // y
        widths[122] = 443; // z
        widths[123] = 479; // braceleft
        widths[124] = 200; // bar
        widths[125] = 479; // braceright
        widths[126] = 541; // asciitilde
		widths[160] = 250; // nbspace
		widths[161] = 333; // exclamdown
		widths[162] = 500; // cent
		widths[163] = 500; // sterling
		widths[164] = 500; // currency
		widths[165] = 500; // yen
		widths[166] = 200; // brokenbar
		widths[167] = 500; // section
		widths[168] = 333; // dieresis
		widths[169] = 759; // copyright
		widths[170] = 275; // ordfeminine
		widths[171] = 500; // guillemotleft
		widths[172] = 563; // logicalnot
		widths[173] = 333; // sfthyphen
		widths[174] = 759; // registered
		widths[175] = 500; // overscore
		widths[176] = 399; // degree
		widths[177] = 548; // plusminus
		widths[178] = 299; // twosuperior
		widths[179] = 299; // threesuperior
		widths[180] = 333; // acute
		widths[181] = 576; // mu1
		widths[182] = 453; // paragraph
		widths[183] = 333; // middot
		widths[184] = 333; // cedilla
		widths[185] = 299; // onesuperior
		widths[186] = 310; // ordmasculine
		widths[187] = 500; // guillemotright
		widths[188] = 750; // onequarter
		widths[189] = 750; // onehalf
		widths[190] = 750; // threequarters
		widths[191] = 443; // questiondown
		widths[192] = 722; // Agrave
		widths[193] = 722; // Aacute
		widths[194] = 722; // Acircumflex
		widths[195] = 722; // Atilde
		widths[196] = 722; // Adieresis
		widths[197] = 722; // Aring
		widths[198] = 889; // AE
		widths[199] = 666; // Ccedilla
		widths[200] = 610; // Egrave
		widths[201] = 610; // Eacute
		widths[202] = 610; // Ecircumflex
		widths[203] = 610; // Edieresis
		widths[204] = 333; // Igrave
		widths[205] = 333; // Iacute
		widths[206] = 333; // Icircumflex
		widths[207] = 333; // Idieresis
		widths[208] = 722; // Eth
		widths[209] = 722; // Ntilde
		widths[210] = 722; // Ograve
		widths[211] = 722; // Oacute
		widths[212] = 722; // Ocircumflex
		widths[213] = 722; // Otilde
		widths[214] = 722; // Odieresis
		widths[215] = 563; // multiply
		widths[216] = 722; // Oslash
		widths[217] = 722; // Ugrave
		widths[218] = 722; // Uacute
		widths[219] = 722; // Ucircumflex
		widths[220] = 722; // Udieresis
		widths[221] = 722; // Yacute
		widths[222] = 556; // Thorn
		widths[223] = 500; // germandbls
		widths[224] = 443; // agrave
		widths[225] = 443; // aacute
		widths[226] = 443; // acircumflex
		widths[227] = 443; // atilde
		widths[228] = 443; // adieresis
		widths[229] = 443; // aring
		widths[230] = 666; // ae
		widths[231] = 443; // ccedilla
		widths[232] = 443; // egrave
		widths[233] = 443; // eacute
		widths[234] = 443; // ecircumflex
		widths[235] = 443; // edieresis
		widths[236] = 277; // igrave
		widths[237] = 277; // iacute
		widths[238] = 277; // icircumflex
		widths[239] = 277; // idieresis
		widths[240] = 500; // eth
		widths[241] = 500; // ntilde
		widths[242] = 500; // ograve
		widths[243] = 500; // oacute
		widths[244] = 500; // ocircumflex
		widths[245] = 500; // otilde
		widths[246] = 500; // odieresis
		widths[247] = 548; // divide
		widths[248] = 500; // oslash
		widths[249] = 500; // ugrave
		widths[250] = 500; // uacute
		widths[251] = 500; // ucircumflex
		widths[252] = 500; // udieresis
		widths[253] = 500; // yacute
		widths[254] = 500; // thorn
		widths[255] = 500; // ydieresis
    }
}